# Contributing to Bugzilla

Bugzilla is an open source project.

Over the years, hundreds of people have contributed code. We appreciate your help!


## Filing issues

When filing an issue, make sure to answer these four questions:

1. What version of Bugzilla are you using (`the version is on the top right-hand corner of the front page`)?
2. What did you do?
3. What did you expect to see?
4. What did you see instead?

General questions should go to the [support-bugzilla mailing list](https://lists.mozilla.org/listinfo/support-bugzilla) instead of our bug tracker.
The people there will answer or ask you to file an issue if you've tripped over a bug.


## Contributing code

Please read the [tips for Developers](https://wiki.mozilla.org/Bugzilla:Developers)
before sending patches.

The gist of it is:

1. Introduce yourself and don't hesitate to ask for help
2. Download the code, make the changes you want and test them
3. Ask a reviewer to work with you through the [review process](https://wiki.mozilla.org/Bugzilla:Review)

**We gladly accept GitHub pull requests**

Unless otherwise noted, the Bugzilla source files are distributed under
the Mozilla Public License, v2.0 found in the LICENSE file.
